	integer*4 function getjpi (procid,code,buflen,result)
	implicit integer*4 (a-z)
	integer*2 len1,len2,code1,code2
	common /mbpdummy/ len1,code1,addr1,lenaddr1,len2,code2
	data len2 /0/, code2 /0/, lenaddr1 /0/ ! zero out unused stuff
	len1 = buflen
	code1 = code
	addr1 = %loc(result)
	getjpi = sys$getjpi(,procid,,len1,,,)
	return
	end
